local ADDON_NAME, MazeHelper = ...;

local locale = _G.GetLocale();
local convert = {
    enGB = 'enUS',
};
local gameLocale = convert[locale] or locale or 'enUS';

MazeHelper.L = {};
local L = MazeHelper.L;

-- Default to enUS
L['MAZE_HELPER_ZONE_NAME'] = 'Mistveil Tangle';
L['MAZE_HELPER_RESET'] = 'Reset';
L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Select 4 symbols';
L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Select 3 more symbols';
L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Select 2 more symbols';
L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Select 1 more symbol';
L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833There is no solution...|r';
L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Filled leaf in a circle';
L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Filled lead without a circle';
L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Empty leaf in a circle';
L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Empty leaf without a circle';
L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Filled flower in a circle';
L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Filled flower without a circle';
L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Empty flower in a circle';
L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Empty flower without a circle';
L['MAZE_HELPER_SENDED_BY'] = 'Sended by %s';
L['MAZE_HELPER_CLEARED_BY'] = 'Cleared by %s';
L['MAZE_HELPER_EXPAND'] = 'Expand';
L['MAZE_HELPER_PASSED'] = 'Passed';
L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537resetted|r this mini-game';
L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s clicked on «|cff66ff6ePassed|r» button';
L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537resetted|r this mini-game (Mists of Tirna Scithe Helper)';
L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Solution: %s';
L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Filled leaf in a circle';
L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Filled lead without a circle';
L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Empty leaf in a circle';
L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Empty leaf without a circle';
L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Filled flower in a circle';
L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Filled flower without a circle';
L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Empty flower in a circle';
L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Empty flower without a circle';

if gameLocale == 'ruRU' then
    L['MAZE_HELPER_ZONE_NAME'] = 'Туманная чащоба';
    L['MAZE_HELPER_RESET'] = 'Сбросить';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Выберите 4 символа';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Выберите еще 3 символа';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Выберите еще 2 символа';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Выберите еще 1 символ';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833Решение отсутствует...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Полный листок в круге';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Полный листок без круга';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Пустой листок в круге';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Пустой листок без круга';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Полный цветок в круге';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Полный цветок без круга';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Пустой цветок в круге';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Пустой цветок без круга';
    L['MAZE_HELPER_SENDED_BY'] = 'Отправлено %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Очищено %s';
    L['MAZE_HELPER_EXPAND'] = 'Развернуть';
    L['MAZE_HELPER_PASSED'] = 'Прошли';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537сбросил|r мини-игру';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s кликнул на кнопку «|cff66ff6eПрошли|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537сбросил|r мини-игру (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Решение: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Полный листок в круге / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Полный листок без круга / Filled lead without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Пустой листок в круге / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Пустой листок без круга / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Полный цветок в круге / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Полный цветок без круга / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Пустой цветок в круге / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Пустой цветок без круга / Empty flower without a circle';

    return;
end

if gameLocale == 'deDE' then
    L['MAZE_HELPER_ZONE_NAME'] = 'Nebelschleierdickicht';
    L['MAZE_HELPER_RESET'] = 'Zurücksetzen';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Wählen Sie 4 Symbole';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Wählen Sie 3 weitere Symbole';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Wählen Sie 2 weitere Symbole';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Wählen Sie 1 weiteres symbol';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833Keine Lösung gefunden...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Gefülltes Blatt im Kreis';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Gefülltes Blatt ohne Kreis';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Leeres Blatt im Kreis';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Leeres Blatt ohne Kreis';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Gefüllte Blume im Kreis';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Gefüllte Blume ohne Kreis';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Leere Blume im Kreis';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Leere Blume ohne Kreis';
    L['MAZE_HELPER_SENDED_BY'] = 'Gesendet von %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Gelöscht von %s';
    L['MAZE_HELPER_EXPAND'] = 'Erweitern';
    L['MAZE_HELPER_PASSED'] = 'Übergeben';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s hat dieses Minispiel |cffff0537zurückgesetzt|r';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s klickte auf «|cff66ff6eBestanden|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s hat dieses Minispiel |cffff0537zurückgesetzt|r (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Lösung: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Gefülltes Blatt im Kreis / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Gefülltes Blatt ohne Kreis / Filled lead without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Leeres Blatt im Kreis / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Leeres Blatt ohne Kreis / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Gefüllte Blume im Kreis / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Gefüllte Blume ohne Kreis / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Leere Blume im Kreis / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Leere Blume ohne Kreis / Empty flower without a circle';

    return;
end

if gameLocale == 'frFR' then
    L['MAZE_HELPER_ZONE_NAME'] = 'Maquis Voile-de-Brume';
    L['MAZE_HELPER_RESET'] = 'Reset';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = 'Sélectionnez 4 symboles';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = 'Sélectionnez 3 symboles supplémentaires';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = 'Sélectionnez 2 autres symboles';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = 'Sélectionnez 1 symbole de plus';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833Il n\'y a pas de solution...|r';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = 'Feuille remplie dans un cercle';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = 'Plomb rempli sans cercle';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = 'Feuille vide dans un cercle';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = 'Feuille vide sans cercle';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = 'Fleur remplie dans un cercle';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = 'Fleur remplie sans cercle';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = 'Fleur vide dans un cercle';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = 'Fleur vide sans cercle';
    L['MAZE_HELPER_SENDED_BY'] = 'Envoyé par %s';
    L['MAZE_HELPER_CLEARED_BY'] = 'Innocenté par %s';
    L['MAZE_HELPER_EXPAND'] = 'Élargir';
    L['MAZE_HELPER_PASSED'] = 'Passer';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s a |cffff0537réinitialisé|r ce mini-jeu';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s a cliqué sur le bouton «|cff66ff6ePasser|r»';
    L['MAZE_HELPER_MOTSH_RESETED_PLAYER'] = '|cffffb833MH:|r %s a |cffff0537réinitialisé|r ce mini-jeu (Mists of Tirna Scithe Helper)';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = 'Solution: %s';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = 'Feuille remplie dans un cercle / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = 'Plomb rempli sans cercle / Filled lead without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = 'Feuille vide dans un cercle / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = 'Feuille vide sans cercle / Empty leaf without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = 'Fleur remplie dans un cercle / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = 'Fleur remplie sans cercle / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = 'Fleur vide dans un cercle / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = 'Fleur vide sans cercle / Empty flower without a circle';

    return;
end

if gameLocale == 'itIT' then
    L['MAZE_HELPER_ZONE_NAME'] = 'Intrico Velofosco';

    return;
end

if gameLocale == 'ptBR' or gameLocale == 'ptPT' then
    L['MAZE_HELPER_ZONE_NAME'] = 'Enleio do Véu da Névoa';

    return;
end

if gameLocale == 'esES' then
    L['MAZE_HELPER_ZONE_NAME'] = 'Espesura Velo de Niebla';

    return;
end

if gameLocale == 'esMX' then
    L['MAZE_HELPER_ZONE_NAME'] = 'Espesura Veloniebla';

    return;
end

if gameLocale == 'zhTW' then -- BNS333 (https://www.curseforge.com/members/bns333)
    L['MAZE_HELPER_ZONE_NAME'] = '霧紗密林';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_1'] = '再點選一個標誌';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_2'] = '再點選兩個標誌';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_3'] = '再點選三個標誌';
    L['MAZE_HELPER_CHOOSE_SYMBOLS_4'] = '點選四個標誌';
    L['MAZE_HELPER_CLEARED_BY'] = '被 %s 清除了';
    L['MAZE_HELPER_EXPAND'] = '展開';
    L['MAZE_HELPER_PASSED'] = '已通過';
    L['MAZE_HELPER_PASSED_PLAYER'] = '|cffffb833MH:|r %s 點擊了«|cff66ff6e已通過|r»按鈕';
    L['MAZE_HELPER_RESET'] = '重置';
    L['MAZE_HELPER_RESETED_PLAYER'] = '|cffffb833MH:|r %s |cffff0537已重置|r此小遊戲';
    L['MAZE_HELPER_SENDED_BY'] = '由 %s 發送';
    L['MAZE_HELPER_SOLUTION'] = '|cff33cc66%s|r';
    L['MAZE_HELPER_SOLUTION_NA'] = '|cffffb833沒有解決方案...|r';
    L['MAZE_HELPER_FLOWER_FULL_CIRCLE'] = '有外環實心的花';
    L['MAZE_HELPER_FLOWER_FULL_NOCIRCLE'] = '無外環實心的花';
    L['MAZE_HELPER_FLOWER_NOFULL_CIRCLE'] = '有外環空心的花';
    L['MAZE_HELPER_FLOWER_NOFULL_NOCIRCLE'] = '無外環空心的花';
    L['MAZE_HELPER_LEAF_FULL_CIRCLE'] = '有外環實心的葉';
    L['MAZE_HELPER_LEAF_FULL_NOCIRCLE'] = '無外環實心的葉';
    L['MAZE_HELPER_LEAF_NOFULL_CIRCLE'] = '有外環空心的葉';
    L['MAZE_HELPER_LEAF_NOFULL_NOCIRCLE'] = '無外環空心的葉';
    L['MAZE_HELPER_ANNOUNCE_SOLUTION'] = '解決方案: %s';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_CIRCLE'] = '有外環實心的花 / Filled flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_FULL_NOCIRCLE'] = '無外環實心的花 / Filled flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_CIRCLE'] = '有外環空心的花 / Empty flower in a circle';
    L['MAZE_HELPER_ANNOUNCE_FLOWER_NOFULL_NOCIRCLE'] = '無外環空心的花 / Empty flower without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_CIRCLE'] = '有外環實心的葉 / Filled leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_FULL_NOCIRCLE'] = '無外環實心的葉 / Filled lead without a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_CIRCLE'] = '有外環空心的葉 / Empty leaf in a circle';
    L['MAZE_HELPER_ANNOUNCE_LEAF_NOFULL_NOCIRCLE'] = '無外環空心的葉 / Empty leaf without a circle';

    return;
end

if gameLocale == 'zhCN' then
    L['MAZE_HELPER_ZONE_NAME'] = '纱雾迷结';

    return;
end

if gameLocale == 'koKR' then
    L['MAZE_HELPER_ZONE_NAME'] = '안개장막 덩굴숲';

    return;
end